This is the multi-page printable view of this section. Click here to print.
List Virtual Server Security Group
1 - 1.3
get /v1/servers/{server_id}/security-groups
Description
List Virtual Server Security Group.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerSecurityGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"
Example HTTP response
Response 200
{
"security_groups": [
{
"account_id": "6f70656e737461636b20342065766572",
"description": "Security group description",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"name": "securitygroup",
"rules": [
{
"from_port": 1,
"id": "ca5cb96b-9df6-4af7-9682-4d60a58d38a5",
"ip_protocol": "tcp",
"ip_range": {
"cidr": "0.0.0.0/0"
},
"to_port": 65535
}
]
}
]
}
2 - 1.2
get /v1/servers/{server_id}/security-groups
Description
List Virtual Server Security Group.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerSecurityGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"
Example HTTP response
Response 200
{
"security_groups": [
{
"account_id": "6f70656e737461636b20342065766572",
"description": "Security group description",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"name": "securitygroup",
"rules": [
{
"from_port": 1,
"id": "ca5cb96b-9df6-4af7-9682-4d60a58d38a5",
"ip_protocol": "tcp",
"ip_range": {
"cidr": "0.0.0.0/0"
},
"to_port": 65535
}
]
}
]
}
3 - 1.1
get /v1/servers/{server_id}/security-groups
Description
List Virtual Server Security Group.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerSecurityGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"security_groups": [
{
"account_id": "6f70656e737461636b20342065766572",
"description": "Security group description",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"name": "securitygroup",
"rules": [
{
"from_port": 1,
"id": "ca5cb96b-9df6-4af7-9682-4d60a58d38a5",
"ip_protocol": "tcp",
"ip_range": {
"cidr": "0.0.0.0/0"
},
"to_port": 65535
}
]
}
]
}
4 - 1.0
get /v1/servers/{server_id}/security-groups
Description
List Virtual Server Security Group.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerSecurityGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"security_groups": [
{
"account_id": "6f70656e737461636b20342065766572",
"description": "Security group description",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"name": "securitygroup",
"rules": [
{
"from_port": 1,
"id": "ca5cb96b-9df6-4af7-9682-4d60a58d38a5",
"ip_protocol": "tcp",
"ip_range": {
"cidr": "0.0.0.0/0"
},
"to_port": 65535
}
]
}
]
}